# Gamebase Authentication Weibo Adapter for Android

## Dependencies
```xml
<dependency>
  <groupId>com.toast.android.gamebase</groupId>
  <artifactId>gamebase-sdk</artifactId>
  <version>2.27.1</version>
  <scope>compile</scope>
</dependency>
<dependency>
  <groupId>org.jetbrains.kotlin</groupId>
  <artifactId>kotlin-android-extensions-runtime</artifactId>
  <version>1.5.21</version>
  <scope>compile</scope>
</dependency>
<dependency>
  <groupId>io.github.sinaweibosdk</groupId>
  <artifactId>core</artifactId>
  <version>11.8.1</version>
  <type>aar</type>
  <scope>compile</scope>
  <exclusions>
    <exclusion>
      <artifactId>*</artifactId>
      <groupId>*</groupId>
    </exclusion>
  </exclusions>
</dependency>
<dependency>
  <groupId>org.jetbrains.kotlin</groupId>
  <artifactId>kotlin-stdlib-jdk8</artifactId>
  <version>1.5.21</version>
  <scope>compile</scope>
</dependency>
<dependency>
  <groupId>org.jetbrains.kotlinx</groupId>
  <artifactId>kotlinx-coroutines-android</artifactId>
  <version>1.5.1</version>
  <scope>compile</scope>
</dependency>
```

## Release Note

| Date | Weibo Adapter Version | Weibo SDK Version | Description |
| ---- | --------------------- | ----------------- | ----------- |
| 2020.12.29 | 2.19.0 | 10.10.0 ~ | - Initial version |
| 2020.12.29 | 2.19.1 | 10.10.0 ~ | - Handle the issue of Weibo SDK where login callbacks are called multiple times. |
| 2021.07.13 | 2.24.1 | 10.10.0 ~ | - Update weibo sdk to 11.6.0 from 10.10.0 |
| 2021.07.27 | 2.25.0 | 10.10.0 ~ | - Update Android support library to AndroidX from 28.0.0 |
| 2021.09.14 | 2.27.1 | 10.10.0 ~ | - Update weibo sdk to 11.8.1 from 11.6.0 |